#pragma once

#include "Mesh.hpp"

class GroundFlatMesh {
    public:
        GroundFlatMesh(const Point& center, double decay_speed);

        Mesh* get_mesh() { return &output; }

    private: //meth
        double ith_dist(int i) const;
        Point tile_position(int i, int j) const;

    private:
        static const int MIN_I, MAX_I, MIN_J, MAX_J;
        Mesh output;
        const Point& center;
        double decay_speed;
};
